libzypp 17.37.10

zypp::filesystem::DirEntry Struct Reference

Listentry returned by readdir. More...

`#include <zypp-core/fs/PathInfo.h>`

## Public Member Functions
| DirEntry (std::string name_r=std::string(), FileType type_r=FT_NOT_AVAIL)
| DirEntry (struct dirent *entry)
bool | operator== (const DirEntry &rhs) const

## Public Attributes
std::string | name
FileType | type

## Detailed Description

Listentry returned by readdir.

Definition at line 509 of file PathInfo.h.

## Constructor & Destructor Documentation

## ◆ DirEntry() [1/2]

zypp::filesystem::DirEntry::DirEntry | ( | std::string | name_r = std::string(),
|  | FileType | type_r = FT_NOT_AVAIL )
| inline

Definition at line 512 of file PathInfo.h.

## ◆ DirEntry() [2/2]

zypp::filesystem::DirEntry::DirEntry | ( | struct dirent * | entry | ) |

Definition at line 635 of file PathInfo.cc.

## Member Function Documentation

## ◆ operator==()

bool zypp::filesystem::DirEntry::operator== | ( | const DirEntry & | rhs | ) | const

Definition at line 666 of file PathInfo.cc.

## Member Data Documentation

## ◆ name

std::string zypp::filesystem::DirEntry::name

Definition at line 510 of file PathInfo.h.

## ◆ type

FileType zypp::filesystem::DirEntry::type

Definition at line 511 of file PathInfo.h.

The documentation for this struct was generated from the following files:

- zypp-core/fs/PathInfo.h
- zypp-core/fs/PathInfo.cc